LibreOffice: ResourceId Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ResourceId Service Reference

The ResourceId service provides several constructors for resource ids. More...

Inheritance diagram for ResourceId:

## Public Member Functions
| createEmpty ()
| Create an empty resource id.
| create ([in] string sResourceURL)
| Create a resource id that has no anchor.
| createWithAnchor ([in] string sResourceURL, [in] XResourceId xAnchor)
| Create a resource id for an anchor that is given as XResourceId object.
| createWithAnchorURL ([in] string sResourceURL, [in] string sAnchorURL)
| Create a resource id for a resource that is bound to an anchor that can be specified by a single URL.
Public Member Functions inherited from XResourceId
string | getResourceURL ()
| Return the URL of the resource.
com::sun::star::util::URL | getFullResourceURL ()
| Return a URL object of the resource URL that may contain arguments.
boolean | hasAnchor ()
| Return whether there is a non-empty anchor URL.
XResourceId | getAnchor ()
| Return a new XResourceId that represents the anchor resource.
sequence< string > | getAnchorURLs ()
| Return the, possibly empty, list of anchor URLs.
string | getResourceTypePrefix ()
| Return the type prefix of the resource URL.
short | compareTo ([in] XResourceId xId)
| Compare the called XResourceId object with the given one.
boolean | isBoundTo ([in] XResourceId xAnchorId, [in] AnchorBindingMode eMode)
| Return whether the anchor of the called resource id object represents the same resource as the given object.
boolean | isBoundToURL ([in] string AnchorURL, [in] AnchorBindingMode eMode)
| Return whether the anchor of the called resource id object represents the same resource as the given anchor URL.
XResourceId | clone ()
| Return a copy of the called resource id.

## Detailed Description

The ResourceId service provides several constructors for resource ids.

They mainly differ in how the anchor is specified.

## Member Function Documentation

## ◆ create()

create | ( | [in] string | sResourceURL | ) |

Create a resource id that has no anchor.

This constructor can be used to create resource ids for panes.

## ◆ createEmpty()

createEmpty | ( |  | ) |

Create an empty resource id.

It does not specify a specific resource but describes the absence of one.

## ◆ createWithAnchor()

createWithAnchor | ( | [in] string | sResourceURL,
|  | [in] XResourceId | xAnchor
| ) |  |

Create a resource id for an anchor that is given as XResourceId object.

This is the most general of the constructor variants.

## ◆ createWithAnchorURL()

createWithAnchorURL | ( | [in] string | sResourceURL,
|  | [in] string | sAnchorURL
| ) |  |

Create a resource id for a resource that is bound to an anchor that can be specified by a single URL.

This constructor can be used to create resources ids for views where the anchor is a pane.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/framework/ResourceId.idl